package com.hzs.common.security.auth;

import com.hzs.system.sys.dto.LoginUser;

/**
 * Token 权限验证工具类
 *
 * @author hzs
 */
public class AuthUserUtil {

    /**
     * 底层的 AuthLogic 对象
     */
    public static AuthUserLogic authUserLogic = new AuthUserLogic();

    /**
     * 会话注销
     */
    public static void logout() {
        authUserLogic.logout();
    }

    /**
     * 会话注销，根据指定Token
     *
     * @param token 指定token
     */
    public static void logoutByToken(String token) {
        authUserLogic.logoutByToken(token);
    }

    /**
     * 获取当前登录用户信息
     */
    public static LoginUser getLoginUser(String token) {
        return authUserLogic.getLoginUser(token);
    }

    /**
     * 验证当前用户有效期
     */
    public static void verifyLoginUserExpire(LoginUser loginUser) {
        authUserLogic.verifyLoginUserExpire(loginUser);
    }

}
